Table of Contents

## Name

glXGetClientString - return a string describing the client

## C Specification

const char * glXGetClientString( Display *dpy,

        int name )

eqn not supported

## Parameters

dpy
  Specifies the connection to the X server.
name
  Specifies which string is returned. One of GLX_VENDOR, GLX_VERSION, or GLX_EXTENSIONS.

## Description

glXGetClientString returns a string describing some aspect of the client library. The possible values for name are GLX_VENDOR, GLX_VERSION, and GLX_EXTENSIONS. If name is not set to one of these values, glXGetClientString returns NULL. The format and contents of the vendor string is implementation dependent.

The extensions string is null-terminated and contains a space-separated list of extension names. (The extension names never contain spaces.) If there are no extensions to GLX, then the empty string is returned.

The version string is laid out as follows:

<major_version.minor_version><space><vendor-specific info>

Both the major and minor portions of the version number are of arbitrary length. The vendor-specific information is optional. However, if it is present, the format and contents are implementation specific.

## Notes

glXGetClientString is available only if the GLX version is 1.1 or greater.

If the GLX version is 1.1 or 1.0, the GL version must be 1.0. If the GLX version is 1.2, then the GL version must be 1.1.

glXGetClientString only returns information about GLX extensions supported by the client. Call glGetString to get a list of GL extensions supported by the server.

## See Also

glXQueryVersion, glXQueryExtensionsString, glXQueryServerString

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- See Also